/* unicode.h
 *
 * Interface to unicode classification
 */

/* Copyright (C) 2002 Niels Mller
 *  
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/* For now, support only old-fashioned unicode-3.0 */
#define UNICODE_MAX_CHAR 0x10000
#define UNICODE_MAX_MASTER ((UNICODE_MAX_CHAR + 0xff)/0x100)

extern const unsigned char *unicode_cclass[UNICODE_MAX_MASTER];

/* Returns non-zero for combining characters */
#define unicode_combining_class(x) (unicode_cclass[(x) / 0x100][(x) % 0x100])
